[ANN] SimpleIntentions Plugin

During Christmas, I wrote a little IDEA 5.x plugin called Simple Intentions that provides three additional code intentions and one additional code inspection for IDEA.

The implemented code intentions aim to unwrap if statements, synchronized statements, and try statements. The unwrapping is done 'brute-force' without any further code analysis. A description of each intention including a before/after example can be found in the category Other of the Intentions Settings.

In addition to the aforementioned intentions, the plugin also provides a code inspection Variable declared as static instead of non-static. This inspection is helpful if you have certain types for which fields should never be declared as being static. For example, having a static field of type HttpSession is probably a bug. The field type (hierarchies) which are to be inspected can be configured in the category Probable Bugs of the Errors settings.

Maybe helpful to more developers than just me... Feedback appreciated.

--Etienne

2 comments

During Christmas, I wrote a little IDEA 5.x plugin called +Simple
Intentions+ that provides three additional code intentions and one
additional code inspection for IDEA.

The implemented code intentions aim to unwrap if statements,
synchronized statements, and try statements. The
unwrapping is done 'brute-force' without any further code analysis. A
description of each intention including a before/after example can be
found in the category Other of the Intentions Settings.

In addition to the aforementioned intentions, the plugin also provides
a code inspection +Variable declared as static instead of
non-static+. This inspection is helpful if you have certain types
for which fields should never be declared as being static. For
example, having a static field of type HttpSession is probably
a bug. The field type (hierarchies) which are to be inspected can be
configured in the category Probable Bugs of the Errors
settings.


Where is it? I don't see it in the Plugin Manager..


0

Hi Taras

It's there ;) But you need at least IDEA build 3000, i.e. IDEA 5.x.

<idea-version since-build="3000"/>

--Etienne

0

Please sign in to leave a comment.